﻿CREATE PROCEDURE [ssis].[LogRowCount](
    @ExecutionID			[int],
    @ComponentName			[nvarchar](200),
    @ObjectName				[nvarchar](200),
    @CountType				[varchar](20),
    @RowCount				[int],
	@ColumnSum				[money],
	@ColumnName				[varchar](200)
) 
AS
BEGIN TRY
	
    INSERT INTO [ssis].[RowCount]
        ([ExecutionID]
        ,[ComponentName]
        ,[ObjectName]
        ,[CountType]
        ,[RowCount]
		,[ColumnSum]
		,[ColumnName])
    VALUES
        (@ExecutionID
        ,@ComponentName
        ,@ObjectName
        ,@CountType
        ,@RowCount
		,@ColumnSum
		,@ColumnName);

	RETURN(0);
END TRY

BEGIN CATCH
    RETURN ERROR_NUMBER();
END CATCH;