﻿CREATE TABLE [ssis].[Execution](
    [ExecutionID]			INT				IDENTITY (1, 1) NOT NULL,
    [ParentExecutionID]		INT				NOT NULL,
	[ServerExecutionID]		BIGINT			NOT NULL,
	[PackageName]			VARCHAR(500)	NOT NULL,	
    [ParentSourceGUID]      NCHAR (36)		NULL,
    [ExecutionGUID]         NCHAR (36)		NOT NULL,
    [SourceGUID]            NCHAR (36)		NOT NULL,
    CONSTRAINT [PK_ssis_ServerExecution] PRIMARY KEY CLUSTERED ([ExecutionID] DESC)
);


GO
CREATE UNIQUE NONCLUSTERED INDEX [UIX_ssis_ServerExecution]
    ON [ssis].[Execution]([ExecutionGUID] ASC, [SourceGUID] ASC);